Skip to content

Update Character Arc

PUT
/api/creative/plot/character-arcs/{arc_id}

Update a character arc definition. Sending plotlineId: null clears it.

arc_id
required
Arc Id
string
CharacterArcUpdateRequest

Update a character arc definition.

object
plotlineId
Any of:
string
arcType
Any of:
string
Allowed values: positive_change flat disillusionment fall corruption
theLie
Any of:
string
theGhost
Any of:
string
theWant
Any of:
string
theNeed
Any of:
string
theTruth
Any of:
string
notes
Any of:
string

Successful Response

CharacterArcResponse

Single character arc response.

object
status
required
Status

Operation status

string
data
required
CharacterArc

The arc

object
id
required
Id

Arc UUID

string
characterEntryId
required
Characterentryid

Lore entry for the character

string
plotlineId
Any of:
string
arcType
Arctype

Arc type

string
default: positive_change
Allowed values: positive_change flat disillusionment fall corruption
theLie
Thelie

The Lie the character believes

string
""
theGhost
Theghost

The Ghost — backstory wound

string
""
theWant
Thewant

The Want — conscious desire

string
""
theNeed
Theneed

The Need — unconscious truth

string
""
theTruth
Thetruth

The Truth the character must learn

string
""
notes
Notes

Author notes

string
""
characterTitle
Charactertitle

Character name (denormalized)

string
""
plotlineTitle
Plotlinetitle

Plotline title (denormalized)

string
""
createdAt
required
Createdat

Created timestamp (ms)

integer
modifiedAt
required
Modifiedat

Modified timestamp (ms)

integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object